Debian Bug report logs - #513158
CVE-2009-0260: Multiple cross-site scripting vulnerabilities

version graph

Package: python-moinmoin; Maintainer for python-moinmoin is Steve McIntyre <93sam@debian.org>; Source for python-moinmoin is src:moin.

Reported by: Steffen Joeris <steffen.joeris@skolelinux.de>

Date: Mon, 26 Jan 2009 21:48:01 UTC

Severity: grave

Tags: patch, security

Fixed in versions moin/1.7.1-3+lenny1, moin/1.8.1-1.1, moin/1.5.3-1.2etch2

Done: Steffen Joeris <white@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Jonas Smedegaard <dr@jones.dk>:
Bug#513158; Package python-moinmoin. (Mon, 26 Jan 2009 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
New Bug report received and forwarded. Copy sent to Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Jonas Smedegaard <dr@jones.dk>. (Mon, 26 Jan 2009 21:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: CVE-2009-0260: Multiple cross-site scripting vulnerabilities
Date: Mon, 26 Jan 2009 16:44:28 -0500
Package: python-moinmoin
Severity: grave
Tags: security, patch
Justification: user security hole

Hi,
the following CVE (Common Vulnerabilities & Exposures) id was
published for moin.

CVE-2009-0260[0]:
| Multiple cross-site scripting (XSS) vulnerabilities in
| action/AttachFile.py in MoinMoin before 1.8.1 allow remote attackers
| to inject arbitrary web script or HTML via an AttachFile action to the
| WikiSandBox component with (1) the rename parameter or (2) the drawing
| parameter (aka the basename variable).

The upstream patch can be found here[1]. Please note that despite the
CVE description, version 1.8.1 in sid is still vulnerable.

Also, I haven't looked at the attack vector yet, but if we end up fixing
this for stable as well, we should adjust the wikiutil.escape function
to also take care of single quotes "'".
However, the patch should be trivial as well.

If you fix the vulnerability please also make sure to include the
CVE id in your changelog entry.

Cheers
Steffen

For further information see:

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0260
    http://security-tracker.debian.net/tracker/CVE-2009-0260
[1] http://hg.moinmo.in/moin/1.8/rev/8cb4d34ccbc1




Reply sent to Steffen Joeris <white@debian.org>:
You have taken responsibility. (Wed, 28 Jan 2009 17:24:10 GMT) Full text and rfc822 format available.

Notification sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Bug acknowledged by developer. (Wed, 28 Jan 2009 17:24:10 GMT) Full text and rfc822 format available.

Message #10 received at 513158-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <white@debian.org>
To: 513158-close@bugs.debian.org
Subject: Bug#513158: fixed in moin 1.7.1-3+lenny1
Date: Wed, 28 Jan 2009 17:17:24 +0000
Source: moin
Source-Version: 1.7.1-3+lenny1

We believe that the bug you reported is fixed in the latest version of
moin, which is due to be installed in the Debian FTP archive:

moin_1.7.1-3+lenny1.diff.gz
  to pool/main/m/moin/moin_1.7.1-3+lenny1.diff.gz
moin_1.7.1-3+lenny1.dsc
  to pool/main/m/moin/moin_1.7.1-3+lenny1.dsc
python-moinmoin_1.7.1-3+lenny1_all.deb
  to pool/main/m/moin/python-moinmoin_1.7.1-3+lenny1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <white@debian.org> (supplier of updated moin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jan 2009 00:45:45 +0000
Source: moin
Binary: python-moinmoin
Architecture: source all
Version: 1.7.1-3+lenny1
Distribution: testing-security
Urgency: high
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Steffen Joeris <white@debian.org>
Description: 
 python-moinmoin - Python clone of WikiWiki - library
Closes: 513158
Changes: 
 moin (1.7.1-3+lenny1) testing-security; urgency=high
 .
   * Non-maintainer upload by the security team
   * Fix cross-site scripting vulnerability via basename parameter in the
     AttachFile action (Closes: #513158)
     Fixes: CVE-2009-0260
   * Fix cross-site scripting vulnerability in antispam.py via malformed
     content
     Fixes: CVE-2009-0312
Checksums-Sha1: 
 15c3d5151fe0f65120ca560e890cb06770e19ae0 1258 moin_1.7.1-3+lenny1.dsc
 5a9a83cdbc8546b95e8bb2da65e1da3595328f7c 5468224 moin_1.7.1.orig.tar.gz
 d3cb0aef4e456f3b06ca4a86c1ca795281b202b0 78017 moin_1.7.1-3+lenny1.diff.gz
 2928c519b919414e8fa5e6cf3f904d1829fad269 4506252 python-moinmoin_1.7.1-3+lenny1_all.deb
Checksums-Sha256: 
 2acd624a37f22a6f1dc237dd6665c4c198dcde63d97b65a99476db105068e25c 1258 moin_1.7.1-3+lenny1.dsc
 f2818bf700257c240962a4861b4cb1bc200ee51aa7390f90fdd345db8e8d79d7 5468224 moin_1.7.1.orig.tar.gz
 e897939802d09fd94cebf817d0cd238a31f11a45cec59bd18fe3db81dec37872 78017 moin_1.7.1-3+lenny1.diff.gz
 d55f4a8c872aa3a5bdd3c23457f37feeeedf7240430b27374e658b7bbc77b8da 4506252 python-moinmoin_1.7.1-3+lenny1_all.deb
Files: 
 e02e1ad207b6e7e62b40d17547273c79 1258 net optional moin_1.7.1-3+lenny1.dsc
 871337b8171c91f9a6803e5376857e8d 5468224 net optional moin_1.7.1.orig.tar.gz
 0528448fc25e1c6e8920189348fc31cb 78017 net optional moin_1.7.1-3+lenny1.diff.gz
 cf54ab3971f533e7189ede0a659567fc 4506252 python optional python-moinmoin_1.7.1-3+lenny1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl/s+QACgkQ62zWxYk/rQc8dQCfWFH9Pyd9i6tUIq2hCkvZpfY9
+BoAnApE3b/Pq6Sh+l2fmAjnhgGCSNbI
=3ETI
-----END PGP SIGNATURE-----





Reply sent to Steffen Joeris <white@debian.org>:
You have taken responsibility. (Wed, 28 Jan 2009 17:24:11 GMT) Full text and rfc822 format available.

Notification sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Bug acknowledged by developer. (Wed, 28 Jan 2009 17:24:11 GMT) Full text and rfc822 format available.

Message #15 received at 513158-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <white@debian.org>
To: 513158-close@bugs.debian.org
Subject: Bug#513158: fixed in moin 1.8.1-1.1
Date: Wed, 28 Jan 2009 17:17:31 +0000
Source: moin
Source-Version: 1.8.1-1.1

We believe that the bug you reported is fixed in the latest version of
moin, which is due to be installed in the Debian FTP archive:

moin_1.8.1-1.1.diff.gz
  to pool/main/m/moin/moin_1.8.1-1.1.diff.gz
moin_1.8.1-1.1.dsc
  to pool/main/m/moin/moin_1.8.1-1.1.dsc
python-moinmoin_1.8.1-1.1_all.deb
  to pool/main/m/moin/python-moinmoin_1.8.1-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <white@debian.org> (supplier of updated moin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jan 2009 02:34:32 +0100
Source: moin
Binary: python-moinmoin
Architecture: source all
Version: 1.8.1-1.1
Distribution: unstable
Urgency: high
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Steffen Joeris <white@debian.org>
Description: 
 python-moinmoin - Python clone of WikiWiki - library
Closes: 513158
Changes: 
 moin (1.8.1-1.1) unstable; urgency=high
 .
   * Non-maintainer upload by the security team
   * Fix cross-site scripting vulnerability via basename parameter in the
     AttachFile action (Closes: #513158)
     Fixes: CVE-2009-0260
   * Fix cross-site scripting vulnerability in antispam.py via malformed
     content
     Fixes: CVE-2009-0312
Checksums-Sha1: 
 aee88055ccc086554a96d65774ac51fea05fcb71 1238 moin_1.8.1-1.1.dsc
 16101e2d73cba551a4e663f222063cabe5f93d78 94143 moin_1.8.1-1.1.diff.gz
 ef511ecde30e71e46e362bb279ed4dbf2c2a4e8e 5025896 python-moinmoin_1.8.1-1.1_all.deb
Checksums-Sha256: 
 d409a652ee31aaaa371fbd526f85885ad18d00131b314676eba1c058097520a3 1238 moin_1.8.1-1.1.dsc
 e7a6796a48ecea3547c4d38edf0d14c9ce1993f23c91a57bd383d1b765fc3f83 94143 moin_1.8.1-1.1.diff.gz
 51dfdcb5be236d374834c5358081b666363a4ed82cd8957be029f6af75cc09f3 5025896 python-moinmoin_1.8.1-1.1_all.deb
Files: 
 cf8dcce3b2fc193300d7be768d4600e4 1238 net optional moin_1.8.1-1.1.dsc
 8988e5abb7fe89cd57f12ec08083c043 94143 net optional moin_1.8.1-1.1.diff.gz
 bb509194439b32b0457f29d0c5caba34 5025896 python optional python-moinmoin_1.8.1-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmAjvEACgkQ62zWxYk/rQe/lQCePc4XcWZlUsKJTjm1GeMGMAR0
maAAn2VbVE7qz9ENCKLQp8ivT0kuiYXp
=QHtk
-----END PGP SIGNATURE-----





Reply sent to Steffen Joeris <white@debian.org>:
You have taken responsibility. (Thu, 05 Feb 2009 13:57:06 GMT) Full text and rfc822 format available.

Notification sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Bug acknowledged by developer. (Thu, 05 Feb 2009 13:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 513158-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <white@debian.org>
To: 513158-close@bugs.debian.org
Subject: Bug#513158: fixed in moin 1.5.3-1.2etch2
Date: Thu, 05 Feb 2009 13:52:21 +0000
Source: moin
Source-Version: 1.5.3-1.2etch2

We believe that the bug you reported is fixed in the latest version of
moin, which is due to be installed in the Debian FTP archive:

moin_1.5.3-1.2etch2.diff.gz
  to pool/main/m/moin/moin_1.5.3-1.2etch2.diff.gz
moin_1.5.3-1.2etch2.dsc
  to pool/main/m/moin/moin_1.5.3-1.2etch2.dsc
moinmoin-common_1.5.3-1.2etch2_all.deb
  to pool/main/m/moin/moinmoin-common_1.5.3-1.2etch2_all.deb
python-moinmoin_1.5.3-1.2etch2_all.deb
  to pool/main/m/moin/python-moinmoin_1.5.3-1.2etch2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <white@debian.org> (supplier of updated moin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 28 Jan 2009 00:25:56 +0000
Source: moin
Binary: moinmoin-common python-moinmoin
Architecture: source all
Version: 1.5.3-1.2etch2
Distribution: stable-security
Urgency: high
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Steffen Joeris <white@debian.org>
Description: 
 moinmoin-common - Python clone of WikiWiki - common data
 python-moinmoin - Python clone of WikiWiki - library
Closes: 513158
Changes: 
 moin (1.5.3-1.2etch2) stable-security; urgency=high
 .
   * Non-maintainer upload by the security team
   * Fix cross-site scripting vulnerability via basename parameter in the
     AttachFile action (Closes: #513158)
     Fixes: CVE-2009-0260
   * Extend the wikiutil.escape function to also escape single quotes "'"
     as done in newer versions
   * Fix cross-site scripting vulnerability in antispam.py via malformed
     content
     Fixes: CVE-2009-0312
Files: 
 7b24d6f694511840a0a9da0c9f33f5ad 671 net optional moin_1.5.3-1.2etch2.dsc
 139bcec334ed7fbf1ca2bef3c89a8377 40914 net optional moin_1.5.3-1.2etch2.diff.gz
 a46561072eb0ee26ee1a71275c0e64b3 1595112 net optional moinmoin-common_1.5.3-1.2etch2_all.deb
 ab6158ae7010c3701859ceb26bd61bd2 914904 python optional python-moinmoin_1.5.3-1.2etch2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl/pzYACgkQ62zWxYk/rQedCQCeIllA/ZRl15uc0Hr2QKjyd3Xu
P/UAn2SrT9vIprm3xK7krDKU3BtFpt6f
=DojV
-----END PGP SIGNATURE-----





Reply sent to Steffen Joeris <white@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:51:14 GMT) Full text and rfc822 format available.

Notification sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:51:15 GMT) Full text and rfc822 format available.

Message #25 received at 513158-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <white@debian.org>
To: 513158-close@bugs.debian.org
Subject: Bug#513158: fixed in moin 1.5.3-1.2etch2
Date: Mon, 09 Feb 2009 21:35:42 +0000
Source: moin
Source-Version: 1.5.3-1.2etch2

We believe that the bug you reported is fixed in the latest version of
moin, which is due to be installed in the Debian FTP archive:

moin_1.5.3-1.2etch2.diff.gz
  to pool/main/m/moin/moin_1.5.3-1.2etch2.diff.gz
moin_1.5.3-1.2etch2.dsc
  to pool/main/m/moin/moin_1.5.3-1.2etch2.dsc
moinmoin-common_1.5.3-1.2etch2_all.deb
  to pool/main/m/moin/moinmoin-common_1.5.3-1.2etch2_all.deb
python-moinmoin_1.5.3-1.2etch2_all.deb
  to pool/main/m/moin/python-moinmoin_1.5.3-1.2etch2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <white@debian.org> (supplier of updated moin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 28 Jan 2009 00:25:56 +0000
Source: moin
Binary: moinmoin-common python-moinmoin
Architecture: source all
Version: 1.5.3-1.2etch2
Distribution: stable-security
Urgency: high
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Steffen Joeris <white@debian.org>
Description: 
 moinmoin-common - Python clone of WikiWiki - common data
 python-moinmoin - Python clone of WikiWiki - library
Closes: 513158
Changes: 
 moin (1.5.3-1.2etch2) stable-security; urgency=high
 .
   * Non-maintainer upload by the security team
   * Fix cross-site scripting vulnerability via basename parameter in the
     AttachFile action (Closes: #513158)
     Fixes: CVE-2009-0260
   * Extend the wikiutil.escape function to also escape single quotes "'"
     as done in newer versions
   * Fix cross-site scripting vulnerability in antispam.py via malformed
     content
     Fixes: CVE-2009-0312
Files: 
 7b24d6f694511840a0a9da0c9f33f5ad 671 net optional moin_1.5.3-1.2etch2.dsc
 139bcec334ed7fbf1ca2bef3c89a8377 40914 net optional moin_1.5.3-1.2etch2.diff.gz
 a46561072eb0ee26ee1a71275c0e64b3 1595112 net optional moinmoin-common_1.5.3-1.2etch2_all.deb
 ab6158ae7010c3701859ceb26bd61bd2 914904 python optional python-moinmoin_1.5.3-1.2etch2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl/pzYACgkQ62zWxYk/rQedCQCeIllA/ZRl15uc0Hr2QKjyd3Xu
P/UAn2SrT9vIprm3xK7krDKU3BtFpt6f
=DojV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Mar 2009 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:21:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.